API Reference2026-02-18 (Latest)Gateway

Get payment options

POST
/v1/gateway/payment/{id}/options

Authorization

headerApi-Key<token>

Path Parameters

id*string

Payment ID

Query Parameters

includePaymentInfo?|

Whether to include payment information in the response

Header Parameters

Api-Key?string|null
App-Id?string|null
Client-Id?string|null
WCP-Version?string|null
Sdk-Name?string|null
Sdk-Version?string|null
Sdk-Platform?string|null

Request Body

application/json
  1. body
accounts*array<string>
refresh?array<string>|null

Response Body

Payment options retrieved successfully

application/json
  1. response
collectData?null|
info?null|
options?array<>|null
curl -X POST 'https://api.pay.walletconnect.com/v1/gateway/payment/pay_7fa2ecc101ARZ3NDEKTSV4RRFFQ69G5FAV/options' \  -H 'Content-Type: application/json' \  -d '{  "accounts": [    "string"  ]}'
{  "collectData": null,  "info": null,  "options": [    {      "account": "string",      "actions": [        {          "data": {            "chain_id": "string",            "method": "string",            "params": [              null            ]          },          "type": "walletRpc"        }      ],      "amount": {        "display": {          "assetName": "string",          "assetSymbol": "string",          "decimals": 0,          "iconUrl": "string",          "networkIconUrl": "string",          "networkName": "string"        },        "unit": "string",        "value": "string"      },      "collectData": null,      "etaS": 0,      "expiresAt": 0,      "id": "string"    }  ]}